Subject: bug#13113: 24.3.50; `x-create-frames' raises error trying to eval `directory-files' (???)

From: "Drew Adams" <[email-masked]>
Date: Fri, 7 Dec 2012 10:53:41 -0800

> > This is with my setup, not emacs -Q.
>
> Is it possible to have a recipe starting with "emacs -Q"

No, sorry.

> > Apparently, when Emacs tried to create the frame it ran into
> > some problems in `x-create-frame'.  Why `x-create-frame' would
> > call `directory-files' on "~/.emacs.d/auto-save-list/" I have no idea.
> 
> Evidently, because of this:
> 
> (and auto-save-list-file-prefix (file-directory-p 
>                                   (file-name-directory
>                                     auto-save-list-file-prefix)) 
...
> which is a fragment from menu-bar.el:
> 
>     (bindings--define-key menu [recover-session]
>       '(menu-item "Recover Crashed Session" recover-session
>                   :enable
>                   (and auto-save-list-file-prefix
...
> > And why that should raise this error, and what this error means, I
> > also have no idea.  This means nothing to me - what is going on
> > here?
> 
> My crystal ball says that directory traversal functions were invoked
> recursively, somehow.  This is not supported on Windows, or at least
> that's my reading of the code.

Can you elaborate a bit on what you mean by directory traversal functions being
invoked recursively?  I have no idea what you mean.

> However, it's hard to be sure without a test case.

Sorry about that.

> > now it seems that each line gets split at the 
> > same position and `=<newline>' is added.
> > 
> > Is this a new feature?  Is there a way to turn it off or 
> > otherwise control it? Why `='?
> 
> It's called "quoted-printable".  I have no idea how Emacs decided to
> do that.

That info might help bug #13116.